export const tableOption = {
  searchMenuSpan: 6,
  border: true,
  // selection: true,
  // index: true,
  // indexLabel: '#',
  stripe: true,
  menuAlign: 'center',
  // menuWidth: 350,
  align: 'center',
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: true,
  viewBtn: false,
  searchShowBtn: false,
  refreshBtn: false,
  columnBtn: false,
  rowKey: 'id',
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
    {
      label: '#',
      prop: 'id',
      search: false,
      width: 70,
    },
    {
      label: '用户昵称',
      prop: 'nickname',
      search: true
    }, 
    {
      label: '手机号码',
      prop: 'phoneHidden',
      search: true
    },
    {
      label: '角色',
      prop: 'role',
    },
    // {
    //   label: '用户头像',
    //   prop: 'pic',
    //   type: 'upload',
    //   imgWidth: 150,
    //   listType: 'picture-img',
    //   slot: true
    // }, 
    // {
    //   label: '状态',
    //   prop: 'status',
    //   search: true,
    //   type: 'select',
    //   slot: true,
    //   dicData: [
    //     {
    //       label: '禁用',
    //       value: 0
    //     }, {
    //       label: '正常',
    //       value: 1
    //     }
    //   ]
    // }, 
    {
      label: '注册时间',
      prop: 'createdAt',
      imgWidth: 150
    }
  ]
}
