export const tableOption = {
  searchMenuSpan: 6,
  border: true,
  selection: false,
  stripe: true,
  menuAlign: 'center',
  menuFixed: false,
  align: 'center',
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  searchShowBtn: false,
  refreshBtn: false,
  columnBtn: false,
  menuWidth: 360,
  rowKey: 'id',
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
    {
      label: '#',
      prop: 'id',
      width: 50,
    }, {
      label: '名称',
      prop: 'title',
      search: true,
    }, {
      label: '极光房号',
      prop: 'jmessageRoomId',
    }, {
      label: '浏览量',
      prop: 'viewCount',
      width: 80,
    }, {
      label: '分享图标',
      prop: 'icon',
      type: 'upload',
      listType: 'picture-img',
      width: 80,
    }, {
      label: '启动',
      prop: "startup",
      slot: true,
      width: 70,
    }, {
      label: '首页显示',
      prop: 'showInList',
      slot: true,
      width: 80,
    }
  ]
}

export default tableOption