import { toInteger } from "lodash"

export type DatabaseCurrency = number
// 因为数据库表内价格是以分为单位的整数，因此在展示与请求时需要转换
// 以下为转换函数
export const database2real = (n: DatabaseCurrency): number => n / 100
export const real2database = (n: number): DatabaseCurrency => toInteger((n * 100).toFixed(0))